Bug 961460 - LibreOffice can't save WebDAV (dav/davs) files
LibreOffice can't save WebDAV (dav/davs) files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephan Bergmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 12:35 EDT by Benjamin Kahn
Modified: 2013-06-04 17:06 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.6.6.2-8.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-26 23:23:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Kahn 2013-05-09 12:35:04 EDT
Description of problem:
LibreOffice can't open/save WebDAV (dav/davs) files

Version-Release number of selected component (if applicable):
libreoffice-writer-3.6.6.2-5.fc18.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Start LibreOffice with a dav or dav URL like so: oowriter davs://me@mydavsserver.com/webdav/testdocument.odt
2. Edit the file
3. Save the file
  
Actual results:
Error message: "Error saving the document testdocument.odt: This operation is not supported on this operating system."

Expected results:
File should be saved.

Additional info:
Save As has more errors, and I am unable to navigate through the DAV server using the dialog.

If you are inside the RH firewall, contact me for access to a testing server for tests.
Comment 1 Caolan McNamara 2013-05-09 12:37:19 EDT
caolanm->sberg: can you have a look at this, and determine what url we actually get for a start and whether we're going into our internal davs handler or the gio one
Comment 2 Stephan Bergmann 2013-05-10 09:08:57 EDT
Can reproduce (with somewhat different error msg) with current master build on F-18.  (Uses the webdav UCP to handle davs, not the gio one.)
Comment 3 Fedora Update System 2013-05-24 09:16:34 EDT
libreoffice-3.6.6.2-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.6.2-8.fc18
Comment 4 Fedora Update System 2013-05-24 09:20:09 EDT
libreoffice-4.0.3.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.0.3.3-3.fc19
Comment 5 Fedora Update System 2013-05-24 15:45:31 EDT
Package libreoffice-4.0.3.3-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.0.3.3-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9045/libreoffice-4.0.3.3-3.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-05-26 23:23:49 EDT
libreoffice-4.0.3.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-04 17:06:53 EDT
libreoffice-3.6.6.2-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.